from django.urls import path

from events.views import (RegistrationView, ConfirmRegistrationView,
                          MyRegistrationsRequestView, MyRegistrationsListView)

urlpatterns = [
    path(
        "registration/<int:pk>/",
        RegistrationView.as_view(),
        name="registration",
    ),

    path(
        "confirm-registration/",
        ConfirmRegistrationView.as_view(),
        name="confirm_registration",
    ),

    path(
        "my-registrations-request/<int:pk>/",
        MyRegistrationsRequestView.as_view(),
        name="my_registrations_request",
    ),

    path(
        "my-registrations/<str:uid>/<str:email>/<str:security_code>/",
        MyRegistrationsListView.as_view(),
        name="my_registrations_list",
    ),


]